<?php
/*
Plugin Name: Facebook Login Widget
Plugin URI: https://wordpress.org/plugins/facebook-login-afo/
Description: This is a facebook login plugin as widget. This widget also supports default wordpress user login. 
Version: 4.1.1
Text Domain: facebook-login-afo
Domain Path: /languages
Author: aviplugins.com
Author URI: http://www.aviplugins.com/
*/

/**
	  |||||   
	<(`0_0`)> 	
	()(afo)()
	  ()-()
**/

include_once dirname( __FILE__ ) . '/login_afo_widget.php';

class afo_fb_login {
	
	public function __construct() {
		add_action( 'admin_menu', array( $this, 'facebook_login_widget_afo_menu' ) );
		add_action( 'admin_init',  array( $this, 'facebook_login_widget_afo_save_settings' ) );
		add_action( 'plugins_loaded',  array( $this, 'fb_login_widget_text_domain' ) );
		add_action( 'admin_enqueue_scripts', array( $this, 'register_plugin_styles' ) );
	}
	
	public function register_plugin_styles() {
		wp_enqueue_style( 'style_login_admin', plugins_url( 'facebook-login-afo/style_login_admin.css' ) );
	}
	
	public function  fb_login_widget_afo_options () {
		echo '<div class="wrap">';
		global $wpdb;
		$afo_fb_app_id = get_option('afo_fb_app_id');
		$afo_fb_app_secret = get_option('afo_fb_app_secret');
		$default_login_form_hooks = get_option('default_login_form_hooks');
		
		$this->show_message();
		$this->fb_login_pro_add();
		$this->wp_register_profile_add();
		$this->help_support();
		?>
		<form name="f" method="post" action="">
		<input type="hidden" name="option" value="facebook_login_widget_afo_save_settings" />
        <?php wp_nonce_field( 'fb_login_widget_afo_save_action', 'fb_login_widget_afo_save_action_field' ); ?>
		<table width="100%" border="0" style="background-color:#FFFFFF; border:1px solid #CCCCCC; padding:0px 0px 0px 10px; margin:2px;">
		  <tr>
			<td width="45%"><h1>Facebook Login Widget</h1></td>
			<td width="55%">&nbsp;</td>
		  </tr>
		  <tr>
			<td><strong>Facebook App ID:</strong></td>
			<td><input type="text" name="afo_fb_app_id" value="<?php echo $afo_fb_app_id;?>" /></td>
		  </tr>
		   <tr>
			<td><strong>Facebook App Secret:</strong></td>
			 <td><input type="text" name="afo_fb_app_secret" value="<?php echo $afo_fb_app_secret;?>" /></td>
		  </tr>
          <tr>
			<td colspan="2"><a href="http://www.aviplugins.com/fb-login-widget-pro/#facebook-app" target="_blank">How to Setup Facebook APP</a></td>
		  </tr>
           <tr>
        <td width="45%"><h1><?php _e('Compatibility','login-sidebar-widget');?></h1></td>
        <td width="55%">&nbsp;</td>
      </tr>
   		   <tr>
		<td valign="top"><strong><?php _e('Enable default WordPress login form hooks','login-sidebar-widget');?></strong></td>
		<td><input type="checkbox" name="default_login_form_hooks" value="Yes" <?php echo $default_login_form_hooks == 'Yes'?'checked="checked"':'';?> /><i>Check to <strong>Enable</strong> default WordPress login form hooks. This will make the login form compatible with other plugins. For example <strong>Enable</strong> this if you want to use CAPTCHA on login, from another plugin. <strong>Disable</strong> this so that no other plugins can interfere with your login form.</i></td>
	  </tr>
		  <tr>
			<td>&nbsp;</td>
			<td><input type="submit" name="submit" value="Save" class="button button-primary button-large" /></td>
		  </tr>
          <tr>
			<td colspan="2"><p>Click here to get <a href="http://www.aviplugins.com/microsoft-login-addon/" target="_blank">Microsoft Login Addon</a>, <a href="http://www.aviplugins.com/yahoo-login-addon/" target="_blank">Yahoo Login Addon</a></p><hr></td>
		  </tr>
		  <tr>
			<td colspan="2"><?php $this->fb_login_help();?></td>

		  </tr>
		</table>
		</form>
		<?php 
		$this->fb_comment_addon_add();
		$this->social_login_no_setup_add();
		if ( !is_plugin_active( 'fb-comments-afo-addon/fb_comment.php' ) ) { $this->donate(); }
		echo '</div>';
	}
	
	public function wp_register_profile_add(){ ?>
	<table width="100%" border="0" style="background-color:#FFFFFF; border:1px solid #CCCCCC; padding:0px 0px 0px 10px; margin:2px;">
  <tr>
    <td><p><strong>Facebook Login Widget</strong> recommends you to download and activate <a href="https://wordpress.org/plugins/wp-register-profile-with-shortcode/" target="_blank">WP Register Profile With Shortcode</a> from <a href="https://wordpress.org/" target="_blank">wordpress.org</a> so that users can register in your site.</p></td>
  </tr>
</table>
	<?php }
	
	public function fb_login_widget_text_domain(){
		load_plugin_textdomain('facebook-login-afo', FALSE, basename( dirname( __FILE__ ) ) .'/languages');
	}
	
	public function fb_login_help(){ ?>
		<p><font color="#FF0000"><strong>Note*</strong></font>
			    <br />
		      You need create a new facebook API Applitation to setup this plugin. Please follow the instructions provided below.
			</p>
			  <p>
			  <strong>1.</strong> Go to <a href="https://developers.facebook.com/" target="_blank">https://developers.facebook.com/</a> <br /><br />
			  <strong>2.</strong> Click on Create a new app button. A popup will open.<br /><br />
              <strong>3.</strong> Add the required informations and don't forget to make your app live. This is very important otherwise your app will not work for all users.<br /><br />
			  <strong>4.</strong> Then Click the "Create App" button and follow the instructions, your new app will be created. <br /><br />
			  <strong>5.</strong> Copy and Paste "App ID" and "App Secret" here. <br /><br />
			  <strong>6.</strong> That's All. Have fun :)
			  </p>			  
	<?php }
	
	public function fb_comment_plugin_addon_options(){
	echo '<div class="wrap">';
	global $wpdb;
	$fb_comment_addon = new afo_fb_comment_settings;
	$fb_comments_color_scheme = get_option('fb_comments_color_scheme');
	$fb_comments_width = get_option('fb_comments_width');
	$fb_comments_no = get_option('fb_comments_no');
	$this->show_message();
	?>
	<form name="f" method="post" action="">
	<input type="hidden" name="option" value="save_afo_fb_comment_settings" />
	<table width="100%" border="0" style="background-color:#FFFFFF; margin-top:20px; width:98%; padding:5px; border:1px solid #999999; ">
	  <tr>
		<td colspan="2"><h1>Social Comments Settings</h1></td>
	  </tr>
	  <?php do_action('fb_comments_settings_top');?>
	   <tr>
		<td><h3>Facebook Comments</h3></td>
		<td></td>
	  </tr>
	   <tr>
		<td><strong>Language</strong></td>
		<td><select name="fb_comments_language">
			<option value=""> -- </option>
			<?php echo $fb_comment_addon->language_selected($fb_comments_language);?>
		</select>
		</td>
	  </tr>
	 <tr>
		<td><strong>Color Scheme</strong></td>
		<td><select name="fb_comments_color_scheme">
			<?php echo $fb_comment_addon->get_color_scheme_selected($fb_comments_color_scheme);?>
		</select>
		</td>
	  </tr>
	   <tr>
		<td><strong>Width</strong></td>
		<td><input type="text" name="fb_comments_width" value="<?php echo $fb_comments_width;?>"/> In Percent (%)</td>
	  </tr>
	   <tr>
		<td><strong>No of Comments</strong></td>
		<td><input type="text" name="fb_comments_no" value="<?php echo $fb_comments_no;?>"/> Default is 10</td>
	  </tr>
	  <?php do_action('fb_comments_settings_bottom');?>
	  <tr>
		<td>&nbsp;</td>
		<td><input type="submit" name="submit" value="Save" class="button button-primary button-large" /></td>
	  </tr>
	  <tr>
		<td>&nbsp;</td>
		<td>&nbsp;</td>
	  </tr>
	  <tr>
		<td colspan="2">Use <span style="color:#000066;">[social_comments]</span> shortcode to display Facebook / Disqus Comments in post or page.<br />
		 Example: <span style="color:#000066;">[social_comments title="Comments"]</span>
		 <br /> <br />
		 Or else<br /> <br />
		 You can use this function <span style="color:#000066;">social_comments()</span> in your template to display the Facebook Comments. <br />
		 Example: <span style="color:#000066;">&lt;?php social_comments("Comments");?&gt;</span>
		 </td>
	  </tr>
	</table>
	</form>
	<?php 
	echo '</div>';
	}
	
	public function show_message(){
		if( isset($GLOBALS['msg']) ){
			echo '<div class="success_wid_login">'.$GLOBALS['msg'].'</div>';
		}
	}
	
	public function facebook_login_widget_afo_save_settings(){
		if(isset($_POST['option']) and sanitize_text_field($_POST['option']) == "facebook_login_widget_afo_save_settings"){
			
			if ( ! isset( $_POST['fb_login_widget_afo_save_action_field'] ) || ! wp_verify_nonce( $_POST['fb_login_widget_afo_save_action_field'], 'fb_login_widget_afo_save_action' ) ) {
			   wp_die( 'Sorry, your nonce did not verify.');
			} 
			update_option( 'afo_fb_app_id', sanitize_text_field( $_POST['afo_fb_app_id'] ) );
			update_option( 'afo_fb_app_secret', sanitize_text_field( $_POST['afo_fb_app_secret'] ) );
			update_option( 'default_login_form_hooks', sanitize_text_field( $_POST['default_login_form_hooks'] ) );
			$GLOBALS['msg'] = 'Data successfully updated';
		}
	}
	
	public function facebook_login_widget_afo_menu () {
		add_options_page( 'FB Login Widget', 'FB Login Widget', 'activate_plugins', 'fb_login_widget_afo', array( $this, 'fb_login_widget_afo_options' ));
	}
	
	public function help_support(){ ?>
	<table width="100%" border="0" style="background-color:#FFFFFF; border:1px solid #CCCCCC; padding:0px 0px 0px 10px; margin:2px;">
	  <tr>
		<td align="right"><a href="http://www.aviplugins.com/support.php" target="_blank">Help and Support</a> <a href="http://www.aviplugins.com/rss/news.xml" target="_blank"><img src="<?php echo  plugin_dir_url( __FILE__ ) . '/images/rss.png';?>" style="vertical-align: middle;" alt="RSS"></a></td>
	  </tr>
	</table>
	<?php
	}
	
	public function fb_login_pro_add(){ ?>
	<table width="100%" border="0" style="background-color:#FFFFD2; border:1px solid #E6DB55; clear:both; padding:0px 0px 0px 10px; margin:2px;">
  <tr>
    <td><p>There is a <strong>PRO</strong> version of this plugin that supports login with <strong>Facebook</strong>, <strong>Google</strong>,  <strong>Twitter</strong> and <strong>LinkedIn</strong>. With user login <strong>Log</strong> functionality. Malicious <strong>IPs</strong> gets <strong>Blocked</strong> automatically after 5 wrong login attempts. <strong>CAPTCHA</strong> security in <strong>Admin</strong> and <strong>Front-end</strong> login and many more. You can get it <a href="http://www.aviplugins.com/fb-login-widget-pro/" target="_blank">here</a> in <strong>USD 3.00</strong> </p></td>
  </tr>
</table>
	<?php }
	
	public function social_login_no_setup_add(){ ?>
	<table width="100%" border="0" style="background-color:#FFFFD2; border:1px solid #E6DB55; padding:0px 0px 0px 10px; margin:2px;">
  <tr>
    <td><p>Check out the <strong>Social Login No Setup</strong> plugin that supports login with <strong>Facebook</strong>, <strong>Google</strong>,  <strong>Twitter</strong> and <strong>LinkedIn</strong>. It requires no Setups, no Maintanance, no need to create any APPs, APIs, Client Ids, Client Secrets or anything. You Just have to install the plugin. <a href="http://www.aviplugins.com/social-login-no-setup/" target="_blank">Click here for details</a>.</p></td>
  </tr>
</table>
	<?php }
	
	
	public function fb_comment_addon_add(){ 
		if ( !is_plugin_active( 'fb-comments-afo-addon/fb_comment.php' ) ) {
	?>
		<table width="100%" border="0" style="background-color:#FFFFD2; border:1px solid #E6DB55; padding:0px 0px 0px 10px; margin:2px;">
	  <tr>
		<td><p>There is a <strong>Facebook Comments Addon</strong> for this plugin. The plugin replace the default <strong>Wordpress</strong> Comments module and enable <strong>Facebook/Disqus/Google+</strong> Comments Module. You can get it <a href="http://www.aviplugins.com/fb-comments-afo-addon/" target="_blank">here</a> in <strong>USD 1.00</strong> </p></td>
	  </tr>
	</table>
	<?php 
		}
	}
	
	public function donate(){	?>
	<table width="100%" border="0" style="background-color:#FFF; border:1px solid #ccc; margin:2px; padding-right:10px;">
	 <tr>
	 <td align="right"><a href="http://www.aviplugins.com/donate/" target="_blank">Donate</a> <img src="<?php echo  plugin_dir_url( __FILE__ ) . '/images/paypal.png';?>" style="vertical-align: middle;" alt="PayPal"></td>
	  </tr>
	</table>
	<?php
	}
}
new afo_fb_login;